If you would like to make a contribution to [Semantic Extra Special Properties][sesp] (a.k.a. SESP), please ensure that pull requests are based on the current master.

In order to swiftly coordinate a contribution, the following should be provided:
- Definition that complies with the existing `json` file
- Code should be easily read and if necessary be put into separate components (or classes)
- Newly added features should not alter an existing test but instead provide additional test coverage to verify the expected behaviour

For a description on how to write and run PHPUnit test, please consult the [manual][mw-testing].

### Reporting an issue

If you report an issue, please ensure to use the current master (this helps to verify that the problem still persists and isn't solved already) and describe your environment (SMW, MW version etc.) together with a [stack trace][stack-trace] and a clear description on how to reproduce it.

[sesp]: https://github.com/SemanticMediaWiki/SemanticExtraSpecialProperties
[mw-testing]: https://www.mediawiki.org/wiki/Manual:PHP_unit_testing
[stack-trace]: https://semantic-mediawiki.org/wiki/Stack_trace
